NETSTAT(8)

NOMBRE
netstat - Muestra conexiones de red, tablas de enrutamiento, estadísticas de interfaces, conexiones enmascaradas e información de los miembros de grupos de multidifusión

SINOPSIS

netstat [opciones_familia_dirección] [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w] [--l2cap|-2] [--rfcomm|-f] [--listening|-l] [--all|-a] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--symbolic|-N] [--extend|-e[--extend|-e]] [--timers|-o] [--program|-p] [--verbose|-v] [--continuous|-c] [--wide|-W]

netstat {--route|-r} [opciones_familia_dirección] [--extend|-e[--extend|-e]] [--verbose|-v] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--interfaces|-i} [--all|-a] [--extend|-e[--extend|-e]] [--verbose|-v] [--program|-p] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--groups|-g} [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--masquerade|-M} [--extend|-e] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--statistics|-s} [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w]

netstat {--version|-V}

netstat {--help|-h}

opciones_familia_dirección:

[-4|--inet] [-6|--inet6] [--protocolo={inet,inet6,unix,ipx,ax25,netrom,ddp,bluetooth, ... } ] [--unix|-x] [--inet|--ip|--tcpip] [--ax25] [--x25] [--rose] [--ash] [--bluetooth] [--ipx] [--netrom] [--ddp|--appletalk] [--econet|--ec]

NOTAS
Esta aplicación está parcialmente obsoleta. El reemplazo de netstat es ss, para netstat -r tiene ip route, para netstat -i puede usar ip -s link y para netstat -g dispone de ip maddr.

DESCRIPCIÓN
netstat muestra información sobre el subsistema de red de Linux, según el primer argumento que se le proporcione del siguiente modo:

  (ninguna opción)
Por defecto, netstat muestra una lista de sockets abiertos. Si no define ninguna famila de direcciones, se muestra el socket activa de todas ellas.

  --route, -r
Muestra las tablas de enrutamiento del núcleo. Consulte la descripción en route(8). netstat -r y route -e proporcionan la misma información.

  --groups, -g
Muestra información de pertenencia de grupos de multidifusión para IPv4 e IPv6.

  --interfaces, -i
Muestra una tabla con todas las interfaces de red.

  --masquerade, -M
Muestra una lista con las conexiones enmascaradas.

  --statistics, -s
Muestra estadísticas para cada protocolo.

OPCIONES

  --verbose, -v
Explica al usuario lo que está sucediendo de una manera más prólija. En particular, muestra información de gran utilidad sobre familias de direcciones no configuradas.

  --wide, -W
No partir direcciones IP alargando las líneas todo lo necesario. De momento, es algo opcional para evitar que falle la ejecución de guiones.

  --numeric, -n
Muestra direcciones numéricas en vez de tratar de determinar un sistema, puerto o nombre de usuario.

  --numeric-hosts
muestra direcciones numéricas aunque no afecta a la resolución de puertos o nombres de usuario.

  --numeric-ports
muestra direcciones numéricas en vez de tratar de determinar un ordenador, puerto o nombre de usuario simbólicos.

  --numeric-users
muestra IDs de usuario numéricos sin afectar a la resolución de los nombres de sistemas o de puertos.

  --protocol=familia, -A
Define las familias de direcciones (quizás sería más correcto hablar de protocolos de bajo nivel) para las que se muestras las conexiones. family es un lista de familia de direcciones separadas entre si por comas tales como inet, inet6, unix, ipx, ax25, netrom, econet, ddp y bluetooth. Surte idéntico efecto que al usar las opciones --inet|-4, --inet6|-6, --unix|-x, --ipx, --ax25, --netrom, --ddp y --bluetooth.

La familia de direcciones de inet(Iv4) incluye raw, udp, udplite y conectores tcp.

La familia de direcciones bluetooth (Iv4) incluye conectores de l2cap y rfcomm.

  -c, --continuous
Esta opción hace que netstat muestre la tabla seleccionada en pantalla continuamente cada segundo hasta que el usuario lo interrumpa.

  -e, --extend
Muestra información adicional. Use esta opción por duplicado para ver todos los detalles disponibles.

  -o, --timers
Muestra información sobre temporizadores de red.

  -p, --program
Muestra el PID y el nombre de la aplicación a la que pertenece cada conector, si pertenece la núcleo aparece como un guión (por ejemplo un servicio del núcleo, o un proceso que terminó pero el conector no terminó de cerrarlo).

  -l, --listening
Muestra solo los conectores que están a la espera (por defecto se omiten).

  -a, --all
Muestra tanto los conectores que están a la espera como los que no. Con la opción --interfaces se muestras las interfaces inactivas

  -F
Muestra información del FIB (ya lo hace por defecto).

  -C
Muestra información de enrutamiento contenida en la caché.

SALIDA

  Conexiones Activas a Internet (TCP, UDP, UDPLite, raw)

  Proto
El protocolo (tcp, udp, udpl, raw) usado por el conector.

  Recv-Q
Establecida (established): la cantidad de bytes no copiados por la aplicación enganchada a ese conector. Escuchando (listening): a partir de la versión 2.6.18 del núcleo, esta columna contiene el backlog actual de syn.

  Send-Q
Establecida (established): contabiliza los bytes para los que no se recibió acuse de recibo por parte del destinatario. A la espera (listening): a partir de la versión 2.6.18 del núcleo, esta columna contiene el tamaño máxima del caché de syn (syn backlog).

  Local Address
La dirección local (nombre del ordenador local) y número de puerto del conector. A no ser que se dé la opción --numeric (-n) se resolverá la dirección del conector según el nombre canónico del host (FQDN), y el número de puerto se traduce a su número de servicio correspondiente.

  Foreign Address
Dirección y número de puerto del conector del sistema remoto. Es análogo a "Local Address".

  State
El estado del conector. Dado que no existen estados para el modo RAW y normalmente no se usan para para UDP ni para UDPLite, esta columna puede dejarse en blanco. Generalmente, puede ser uno de los siguientes valores:

ESTABLISHED
    El conector tiene una conexión establecida.

SYN_SENT
    El conector está tratando de establecer una conexión activamente.

SYN_RECV
    Se ha recibido una petición de conexión de la red.

FIN_WAIT1
    El conector está cerrado y la conexión se está cerrando.

FIN_WAIT2
    La conexión está cerrada y el conector está esperando que el remoto haga lo mismo.

TIME_WAIT
    El conector, tras el cierre de la misma, se encuentra todavía esperando para manejar paquetes en la red.

CLOSE
    El conector no está en uso.

CLOSE_WAIT
    Habiéndose cerrado el punto remoto, se está esperando a que el conector local se cierre.

LAST_ACK
    El sistema remoto se ha cerrado y por tanto, se cierra el conector. Esperando confirmación.

LISTEN
    El conector está a la espera de conexiones entrantes. Estos conectores se muestran solamente si la opción -a,--listening (-l) o --all (-a) están presente.

CLOSING
    Ambos conectores se están cerrando pero aún no han sido enviados todos los datos.

UNKNOWN
    Se desconoce el estado del conector.

  User
El nombre o el identificador de usuario (UID) del propietario del conector.

  PID/nombre de la aplicación
Parejas de identificador de proceso (PID) y su nombre separados entre sí por barras. La opción --program hace que se incluya esta columna. Son necesarios privilegios de administrados (root) para poder ver esta información en el caso de conectores que posea otro usuario. De momento, esta información aún no está disponible para conectores IPX.

  Timer
Temporizador TCP asociado a dicho conector. El formato de esta columna es "temporizador (a/b/c)" donde temporizador adoptará uno de estos valores:

off No existe temporizador para este conector.

on  El temporizador de este conector está activado.

keepalive
    El temporizador keepalive (mantener activo) está activado para este conector.

timewait
    La conexión está cerrándose y el temporizador timewait está activado para este conector.

Los valores entre paréntesis:

a   Valor del temporizador.

b   Cantidad de retransmisiones enviadas.

c   Cantidad de keepalives (mantener activa) enviados.

  Conectores de dominio Unix activos

  Proto
El protocolo (normalmente Unix) que usa el conector.

  RefCnt
El cómputo de referencia (es decir, procesos relacionados con el uso de este conector)

  Flags
Se muestran SO_ACCEPTON (mostrada como ACC), SO_WAITDATA (W) o SO_NOSPACE (N). SO_ACCECPTON se usa en conectores que no se encuentran en uso si sus procesos correspondientes están a la espera de una petición de conexión. El resto de flags normalmente carecen de interés.

  Type
Existen varios tipos de acceso a conectores:

SOCK_DGRAM
    El conector se usa en modo Datagrama (sin conexión)

SOCK_STREAM
    Este es un conector stream (con conexión).

SOCK_RAW
    El conector se usa como un conector RAW.

SOCK_RDM
    Este otro es capaz de distribuir mensajes de forma fiable.

SOCK_SEQPACKET
    Este es un conector para paquetes secuenciales.

SOCK_PACKET
    Conector para un interfaz de tipo Raw.

UNKNOWN
    ¿Quién sabe lo que nos traerá el futuro? Rellénese este espacio :-)

  State
Este campo deberá contener una de las palabras siguientes:

FREE
    El conector no ha sido asignado

LISTENING
    El conector se encuentra a la espera de una petición de conexión. Estos conectores normalmente solo se muestran si se usa a opciones --listening (-l) o --all (-a).

CONNECTING
    El conector está a punto de establecer una conexión.

CONNECTED
    El conector está conectado.

DISCONNECTING
    El conector está desconectado.

(empty)
    El conector no está conectado a otro.

UNKNOWN
    Este estado no debería aparecer nunca.

  PID/nombre de la aplicación
Identificador del proceso (PID) nombre del proceso que inició el conector. Consulte la sección Conexiones Activas a Internet unas líneas más antes.

  Ruta
Es el nombre de la ruta mediante la que el proceso se unió al conector.

  Conectores IPX activos
(esta parte tendrá que escribirla alguien que entienda de esto)

  Conectores NET/ROM activos
(esta parte tendrá que escribirla alguien que entienda de esto)

  Conectores AX.25 activos
(esta parte tendrá que escribirla alguien que entienda de esto)

ARCHIVOS
/etc/services -- El archivo de traducción de servicios

/proc -- Punto de montaje para el sistema de archivo proc. Éste proporciona información del estado del núcleo a través de los siguientes archivos.

/proc/net/dev -- Información sobre dispositivos

/proc/net/raw -- Información sobre conectores Raw

/proc/net/tcp -- Información sobre conectores TCP

/proc/net/udp -- Información sobre conectores UDP

/proc/net/udplite -- Información sobre conectores UDPLite

/proc/net/ipx -- Información sobre multicast IGMP

/proc/net/unix -- Información sobre conectores de dominio Unix

/proc/net/ipx -- Información sobre conectores IPX

/proc/net/ax25 -- Información sobre conectores AX25

/proc/net/appletalk -- Información sobre conectores DDP (appletalk)

/proc/net/nr -- Información sobre conectores NET/ROM

/proc/net/route -- Información sobre el enrutamiento IP

/proc/net/ax25_route -- Información sobre el enrutamiento AX25

/proc/net/ipx_route -- Información sobre el enrutamiento IPX

/proc/net/nr_nodes -- Lista de nodos NET/ROM

/proc/net/nr_neigh -- Vecinos NET/ROM

/proc/net/ip_masquerade -- Conexiones con máscara

/sys/kernel/debug/bluetooth/l2cap -- Información sobre Bluetooth L2CAP

/sys/kernel/debug/bluetooth/rfcomm -- conexiones serie de Bluetooth

/proc/net/snmp -- estadísticas

VÉASE TAMBIÉN
route(8), ifconfig(8), iptables(8), proc(5), ss(8), ip(8)

ERRORES
Puede que aparezca información extraña de forma ocasional si un conector cambia mientras está siendo examinado. Es bastante improbable que ocurra.

AUTORES
La interfacz de netstat es obra de Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>, la página de manual fue escrita por Matt Welsh <mdw@tc.cornell.edu>. Alan Cox <Alan.Cox@linux.org> y Tuan Hoang <tqhoang@bigfoot.com> la han actualizado. La página de manual y la aplicación incluida en el paquete net-tools package han sido totalmente reescritas por Bernd Eckenfels <ecki@linux.de>. Las opciones UDPLite fueron añadidas por Brian Micek <bmicek@gmail.com>

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Antonio Aneiros <aneiros@ctv.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.